> For the complete documentation index, see [llms.txt](https://docs.konnekt.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.konnekt.io/pt/troubleshooting/causes-of-missing-content/empty-libraries/empty-default-libraries-error-404.md).

# Bibliotecas predefinidas vazias - erro 404

## Problema

Todas as bibliotecas de documentos no KONNEKT e as unidades mapeadas estão vazias.

## Contexto

Há falhas em determinados centros de dados que alojam o SharePoint Online no site da Microsoft. O KONNEKT usa a GraphAPI da Microsoft para aceder a toda a informação relacionada com bibliotecas de documentos e o respetivo conteúdo.

Especialmente o pedido para obter a biblioteca de documentos predefinida de uma Coleção de Sites ([Obter unidade](https://learn.microsoft.com/en-us/graph/api/drive-get)). Os registos do KONNEKT devem conter entradas se as operações na biblioteca predefinida falharem:

```
[2025-05-07 11:31:28.957] [30304] [error] [RESTkitClient] Http request (OneDriveClient::GetDefaultDrive) GET: https://graph.microsoft.com/v1.0/sites/<TenantName>.sharepoint.com,8fd7d761-4f99-4fdc-a0aa-de6b685e5306,56d1fa73-2339-4329-9df3-61100d751650/drive - 404
    erro: Item não encontrado: O recurso não pôde ser encontrado.(404)
   "{"error":{"code":"itemNotFound","message":"O recurso não pôde ser encontrado.","innerError":{"date":"2025-05-07T09:31:28","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}"
    Cabeçalho da resposta:
Cache-Control: no-store, no-cache
client-request-id: 17a44641-4204-4811-b176-58a379125b5d
Content-Type: application/json
Date: Wed, 07 May 2025 09:31:27 GMT
request-id: 17a44641-4204-4811-b176-58a379125b5d
Strict-Transport-Security: max-age=31536000
Transfer-Encoding: chunked
x-ms-ags-diagnostic: {"ServerInfo":{"DataCenter":"France Central","Slice":"E","Ring":"5","ScaleUnit":"004","RoleInstance":"PA2PEPF00011C65"}}
    Resposta:
{"error":{"code":"itemNotFound","message":"O recurso não pôde ser encontrado.","innerError":{"date":"2025-05-07T09:31:28","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}
```

ou

```
[2025-05-09 08:43:36.353] [23796] [error] [RESTkitClient] Http request (OneDriveClient::GetDefaultDrive) GET: https://graph.microsoft.com/v1.0/sites/<TenantName>.sharepoint.com,8fd7d761-4f99-4fdc-a0aa-de6b685e5306,56d1fa73-2339-4329-9df3-61100d751650/drive - 404
    erro: Item não encontrado: O recurso não pôde ser encontrado.(404)
   "{"error":{"code":"itemNotFound","message":"O recurso não pôde ser encontrado.","innerError":{"date":"2025-05-09T06:43:36","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}"
```

Para investigar, use o GraphExplorer para verificar o pedido GET para esta biblioteca de documentos:

<https://developer.microsoft.com/en-us/graph/graph-explorer>

## Alternativas

1\) Ative a definição "[Adicionar todas as bibliotecas de documentos do SharePoint](https://docs.konnekt.io/configuration/mappings/auto-mapping#map-all-document-libraries)".

Se ativado, o KONNEKT usará o [Listar unidades](https://learn.microsoft.com/en-us/graph/api/drive-list?view=graph-rest-1.0\&tabs=http) pedido para obter todas as bibliotecas de documentos das Coleções de Sites.

{% hint style="info" %}
Tenha em atenção que ativar esta definição fará com que as ligações de ficheiros existentes deixem de funcionar.
{% endhint %}

2\) Use "[Managed Mappings](/pt/configuration/mappings/managed-mappings.md)" para mapear as bibliotecas de documentos importantes e desative a definição "[Descoberta automática de Sites do SharePoint](https://docs.konnekt.io/configuration/mappings/auto-mapping#map-all-document-libraries)".

## Problema no GitHub

<https://github.com/SharePoint/sp-dev-docs/issues/10241>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.konnekt.io/pt/troubleshooting/causes-of-missing-content/empty-libraries/empty-default-libraries-error-404.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
